Resolve Worker Queue
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/dynamic-executions/resolve-queue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"organization_id": "<string>",
"preferred_runtime": "claude_code"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/dynamic-executions/resolve-queue"
payload = {
"prompt": "<string>",
"organization_id": "<string>",
"preferred_runtime": "claude_code"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
organization_id: '<string>',
preferred_runtime: 'claude_code'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/dynamic-executions/resolve-queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"worker_queue_id": "<string>",
"worker_queue_name": "<string>",
"reasoning": "<string>",
"alternatives": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Dynamic Executions
Resolve Worker Queue
Intelligent worker queue resolution based on task prompt.
Analyzes the task and recommends the optimal worker queue based on capabilities, current load, and relevance.
POST
/
api
/
v1
/
dynamic-executions
/
resolve-queue
Resolve Worker Queue
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I